clear;                             %清除变量空间
x=0:0.1:6;
y1=3*sin(x);                          %计算作图数据
y2=2*x.^2;
subplot(1,2,1);
plotyy(x,y1,x,y2)                         % 绘制线性坐标图
title('线性双纵坐标图')
grid on
subplot(1,2,2);
plotyy(x,y1,x,y2,'plot','semilogy')                  %绘制半对数坐标图x
title('线性和半对数双纵坐标图')
grid on












